import 'package:angular/angular.dart';
import 'package:angular_components/angular_components.dart';
import 'package:angular_components/material_button/material_button.dart';
import 'package:angular_router/angular_router.dart';
import 'package:madrat_components/src/service/snack_service.dart';
import 'package:angular_forms/angular_forms.dart';

import '../../router/router.dart';

@Component(
    selector: 'layout',
    pipes: [],
    directives: [
      coreDirectives,
      formDirectives,
      materialDirectives,
      routerDirectives,
    ],
    providers: [],
    exports: [AppPath, AppRouter],
    templateUrl: 'layout.html',
    styleUrls: [
      'package:angular_components/app_layout/layout.scss.css',
      'layout.css'
    ])
class Layout {
  SnackService _ss;

  Layout() {
    configSnack();
  }

  String message = '';

  void configSnack() {
    _ss = SnackService.fromConfig(config: SnackConfig.empty());
  }

  void emit() {
    _ss.emit(SnackEmit.simple(message)..timeout = 50000);
  }

  void emitBlock() {
    _ss.emit(SnackEmit.simpleBlock(message));
  }
}
